Skip to main content
GET
/
api
/
merchant
/
show
Show a specific Merchant's Details
curl --request GET \
  --url https://app.dimepayments.com/api/merchant/show \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "data": []
}'
{
  "data": {
    "name": "Dime Payments",
    "sid": "00001",
    "mcc": "8999",
    "slug": "pay",
    "pub_api_key": "pkapi_prod_B5n2hQhy6uAp1rLjqs",
    "processor_mid": "650000012366624",
    "active": true,
    "active_at": null,
    "g_pay": false,
    "a_pay": false,
    "pci_compliance": true,
    "website": "https://dimepayments.com",
    "addr1": "53 S. Main St",
    "addr2": "",
    "city": "Alpharetta",
    "state": "GA",
    "zip": "30009",
    "phone": "4049064975",
    "primary_phone": "4049064975",
    "primary_email": "ben@dimepayments.com",
    "primary_name": "Ben Habeck"
  }
}

Authorizations

Authorization
string
header
required

You can retrieve your token by visiting your dashboard and clicking Generate API token under your profile in top right.

Body

application/json
data
object
Example:
[]

Response

data
object